# Requirement

The Requirement object defines the personal details, actions, or validations requested by the initiator of an activity. It ensures flexibility by allowing the recipient (receptor) to decide which details to share while meeting the requirements of the activity.

## Requirement Type

The Requirement Type specifies the format or nature of the requested data or action in an activity.

**Available in: GET** (response only).

<table><thead><tr><th width="193">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>RTP_001</code></td><td>Requires the execution of a BioFace Authentication Flow.</td></tr><tr><td><code>RTP_002</code></td><td>Requests personal details in the form of structured data values (JSON object).</td></tr><tr><td><code>RTP_003</code></td><td>Requests images, such as selfies or identity document photos (front and back) as a binary file.</td></tr><tr><td><code>RTP_004</code></td><td>Requests a combination of structured personal details (<strong>RTP_002</strong>) OR image data (<strong>RTP_003</strong>).</td></tr><tr><td><code>RTP_005</code></td><td>Requests a combination of structured personal details (<strong>RTP_002</strong>) AND image data (<strong>RTP_003</strong>).</td></tr></tbody></table>

## Requirement Category

The Requirement Category groups requirements into logical categories based on the type of information being requested.

**Available in: GET** (response only).

<table><thead><tr><th width="192">Category</th><th>Description</th></tr></thead><tbody><tr><td><code>RQC_001</code></td><td>Refers to Identity-related personal details.</td></tr><tr><td><code>RQC_002</code></td><td>Refers to Background-related personal details.</td></tr><tr><td><code>RQC_003</code></td><td>Refers to Document-related details</td></tr></tbody></table>

## Requirement Code

The Requirement Code uniquely identifies a group of personal detail requirements, requests, or actions within an activity. Each Requirement Item specifies the precise data or action associated with the requirement, outlining what will be included in the request. The table below lists all available Requirement Codes and their corresponding Requirement Items, which can be included in a request.

**Available in: POST** (request) and **GET** (response).

<table data-full-width="true"><thead><tr><th width="163">Code</th><th width="253">Description</th><th>Requirement Items</th></tr></thead><tbody><tr><td><code>RQ_001</code></td><td>BioFace Authentication</td><td>-</td></tr><tr><td><code>RQ_002</code></td><td>Identity Trust</td><td><ul><li><code>IDT_001</code>   Member Since</li><li><code>IDT_002</code>   Identity Trust Score</li><li><code>IDT_003</code>   Identity Trust Score Level</li><li><code>IDT_004</code>   IDV Timestamp</li></ul></td></tr><tr><td><code>RQ_003</code></td><td>Selfie</td><td>-</td></tr><tr><td><code>RQ_004</code></td><td>Personal Information</td><td><ul><li><code>PIF_001</code>   Profile Name</li><li><code>PIF_002</code>   Fullname</li><li><code>PIF_003</code>   Surname</li><li><code>PIF_004</code>   Given names</li><li><code>PIF_005</code>   Date of Birth</li><li><code>PIF_006</code>   Gender</li><li><code>PIF_007</code>   Marital Status</li></ul></td></tr><tr><td><code>RQ_005</code></td><td>Nationality</td><td>-</td></tr><tr><td><code>RQ_006</code></td><td>Identity Document</td><td><ul><li><code>IDC_001</code>   Frontside image</li><li><code>IDC_002</code>   Backside image</li><li><code>IDC_003</code>   Document Information</li></ul></td></tr><tr><td><code>RQ_007</code></td><td>Address</td><td>-</td></tr><tr><td><code>RQ_008</code></td><td>Phone</td><td>-</td></tr><tr><td><code>RQ_009</code></td><td>Email</td><td>-</td></tr><tr><td><code>RQ_010</code></td><td>Government Tax ID</td><td>-</td></tr><tr><td><code>RQ_011</code></td><td>Occupation</td><td>-</td></tr><tr><td><code>RQ_012</code></td><td>Employment</td><td>-</td></tr><tr><td><code>RQ_013</code></td><td>Compliance</td><td>-</td></tr><tr><td><code>RQ_014</code></td><td>Income</td><td>-</td></tr><tr><td><code>RQ_015</code></td><td>Proof of Residence</td><td>-</td></tr><tr><td><code>RQ_016</code></td><td>Proof of Income</td><td>-</td></tr><tr><td><code>RQ_017</code></td><td>Proof of Employment</td><td>-</td></tr><tr><td><code>RQ_018</code></td><td>Proof of Education</td><td>-</td></tr><tr><td><code>RQ_019</code></td><td>Proof of Ownership</td><td>-</td></tr><tr><td><code>RQ_020</code></td><td>Proof of Funds</td><td>-</td></tr><tr><td><code>RQ_021</code></td><td>Proof of Insurance</td><td>-</td></tr><tr><td><code>RQ_022</code></td><td>Legal Document</td><td>-</td></tr><tr><td><code>RQ_023</code></td><td>House Owner</td><td>-</td></tr><tr><td><code>RQ_024</code></td><td>Housing Monthly Cost</td><td>-</td></tr></tbody></table>

## Accepted Requirements

The Accepted Requirement items uniquely identify the details of the elements associated with the Requirement Items. These accepted elements are grouped under a Requirement Code and represent the data included in the response.

The table below lists all available Acceptance Codes returned as part of the response.

<table data-full-width="true"><thead><tr><th width="183">Requirement</th><th width="163">Property</th><th>Example</th></tr></thead><tbody><tr><td><code>RQ_002</code></td><td><code>items</code></td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json"><strong>[
</strong>  {
    "code": "IDT_001", // Member Since
    "data": {
      "value": 1704085200000
    }
  },
  {
    "code": "IDT_002", // Identity Trust Score
    "data": {
      "value": 450
    }
  },
  {
    "code": "IDT_003", // Identity Trust Score Level
    "data": {
      "value": "POOR"
    }
  },
  {
    "code": "IDT_004", // IDV Timestamp
    "data": {
      "datetime": 1704085200000
    }
  }
]
</code></pre></td></tr><tr><td><code>RQ_003</code></td><td><code>data</code></td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{
  "url": "https://url.com/my-selfie.png"
}
</code></pre></td></tr><tr><td><code>RQ_004</code></td><td><code>items</code></td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">[
  {
    "code": "PIF_001", // Profile Name
    "data": {
      "value": "John Doe"
    }
  },
  {
    "code": "PIF_002", // Fullname
    "data": {
      "value": "John Martin Doe"
    }
  },
  {
    "code": "PIF_003", // Surname
    "data": {
      "value": "Doe"
    }
  },
  {
    "code": "PIF_004", // Given names
    "data": {
      "value": "John Martin"
    }
  },
  {
    "code": "PIF_005", // Date of Birth
    "data": {
      "value": "1984-12-31"
    }
  },
  {
    "code": "PIF_006", // Gender
    "data": {
      "value": "M"
    }
  },
  {
    "code": "PIF_007", // Marital Status
    "data": {
      "value": "Single"
    }
  }
]
</code></pre></td></tr><tr><td><code>RQ_005</code></td><td><code>data</code></td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{
  "nationality": "US"
}
</code></pre></td></tr><tr><td><code>RQ_006</code></td><td><code>items</code></td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">[
  {
    "code": "IDC_001", // Frontside image
    "data": {
      "url": "https://url.com/front-image.png"
    }
  },
  {
    "code": "IDC_002", // Backside image
    "data": {
      "url": "https://url.com/back-image.png"
    }
  },
  {
    "code": "IDC_003", // Document Information
    "data": {
      "fullname": "John Martin Doe",
      "given_names": "John Martin",
      "surnames": "Doe",
      "first_name": "John",
      "middle_name": "Martin",
      "surname": "Doe",
      "second_surname": null,
      "gender": "M",
      "age": "40",
      "date_of_birth": "1984-12-31",
      "marital_status": "Single",
      "height": "5'10''",
      "weight": "220lb",
      "eyes_color": "Blue",
      "hair_color": "Black",
      "nationality": "US",
      "place_of_birth": "US",
      "address": "1853 E Orleans St.",
      "city": "Philadelphia",
      "state": "Pennsylvania",
      "zipcode": "19134",
      "address_country": "US",
      "category": "Government issued-id",
      "type": "PASSPORT",
      "type_name": "Passport",
      "id_number": "987654321",
      "alternate_number": "12345678",
      "document_place_of_issue": "US",
      "document_issuing_state": "PA",
      "document_issuing_state_name": "Pennsylvania",
      "document_issuing_country": "US",
      "document_issuing_date": "2020-01-01",
      "document_expiration_date": "2029-12-31",
      "rfid_present": true
    }
  }
]
</code></pre></td></tr><tr><td><code>RQ_007</code></td><td><code>data</code></td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{
  "country": "US",
  "state": "Pennsylvania",
  "city": "Philadelphia",
  "address": "1853 E Orleans St.",
  "zipcode": "19134"
}
</code></pre></td></tr><tr><td><code>RQ_008</code></td><td><code>data</code></td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{
  "country_code": "US",
  "number": "9876543210"
}
</code></pre></td></tr><tr><td><code>RQ_009</code></td><td><code>data</code></td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{
  "recipient": "playground@preventor.com"
}
</code></pre></td></tr><tr><td><code>RQ_010</code></td><td><code>data</code></td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{
  "country": "PE",
  "type": "BT_001",
  "number": "456BH9312B1"
}
</code></pre></td></tr><tr><td><code>RQ_011</code></td><td><code>data</code></td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{
  "code": "OCC_004"
}
</code></pre></td></tr><tr><td><code>RQ_012</code></td><td><code>data</code></td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{
  "status": "EMS_001",
  "title": "Engineer",
  "start_date": "2024-01-01",
  "end_date": "2028-12-31",
  "employer": {
    "name": "Microsoft Corp.",
    "address": {
      "country": "US",
      "city": "Philadelphia",
      "state": "Pennsylvania",
      "address": "1801 E Orleans St.",
      "zipcode": "19134"
    }
  }
}
</code></pre></td></tr><tr><td><code>RQ_014</code></td><td><code>data</code></td><td><pre class="language-json"><code class="lang-json">{
  "currency": "USD",
  "income": 300000,
  "symbol": "$"
}
</code></pre></td></tr><tr><td><code>RQ_015</code></td><td><code>data</code></td><td><pre class="language-json"><code class="lang-json">{
  "type": "DCT_001",
  "name": "Document of residence",
  "owner": "Donald Trump",
  "issuing_entity": "US Government",
  "issuing_date": "2020-01-01",
  "expiration_date": "2030-05-30",
  "url": "https://url.com/document"
}
</code></pre></td></tr><tr><td><code>RQ_016</code></td><td><code>data</code></td><td><pre class="language-json"><code class="lang-json">{
  "type": "DCT_002",
  "name": "Payment bill",
  "owner": "Donald Trump",
  "issuing_entity": "Microsoft Corp.",
  "issuing_date": "2020-01-01",
  "url": "https://url.com/document"
}
</code></pre></td></tr><tr><td><code>RQ_017</code></td><td><code>data</code></td><td><pre class="language-json"><code class="lang-json">{
  "type": "DCT_003",
  "name": "Employment contract",
  "owner": "Donald Trump",
  "issuing_entity": "Google LLC",
  "issuing_date": "2020-01-01",
  "expiration_date": "2030-05-30",
  "url": "https://url.com/document"
}
</code></pre></td></tr><tr><td><code>RQ_018</code></td><td><code>data</code></td><td><pre class="language-json"><code class="lang-json">{
  "type": "DCT_004",
  "name": "Graduation document",
  "owner": "Donald Trump",
  "issuing_entity": "Georgia University",
  "issuing_date": "1985-01-01",
  "url": "https://url.com/document"
}
</code></pre></td></tr><tr><td><code>RQ_019</code></td><td><code>data</code></td><td><pre class="language-json"><code class="lang-json">{
  "type": "DCT_005",
  "name": "House ownership",
  "owner": "Donald Trump",
  "issuing_entity": "US Government",
  "issuing_date": "2020-01-01",
  "url": "https://url.com/document"
}
</code></pre></td></tr><tr><td><code>RQ_020</code></td><td><code>data</code></td><td><pre class="language-json"><code class="lang-json">{
  "type": "DCT_006",
  "name": "Funds inform",
  "owner": "Donald Trump",
  "issuing_entity": "US Government",
  "issuing_date": "2020-01-01",
  "url": "https://url.com/document"
}
</code></pre></td></tr><tr><td><code>RQ_021</code></td><td><code>data</code></td><td><pre class="language-json"><code class="lang-json">{
  "type": "DCT_007",
  "name": "Insurance contract",
  "owner": "Donald Trump",
  "issuing_entity": "US Government",
  "issuing_date": "2020-01-01",
  "expiration_date": "2030-05-30",
  "url": "https://url.com/document"
}
</code></pre></td></tr><tr><td><code>RQ_022</code></td><td><code>data</code></td><td><pre class="language-json"><code class="lang-json">{
  "type": "DCT_008",
  "name": "Divorce agreement",
  "owner": "Donald Trump",
  "issuing_entity": "US Government",
  "issuing_date": "2020-01-01",
  "url": "https://url.com/document"
}
</code></pre></td></tr><tr><td><code>RQ_023</code></td><td><code>data</code></td><td><pre class="language-json"><code class="lang-json">{
  "is_owner": false
}
</code></pre></td></tr><tr><td><code>RQ_024</code></td><td><code>data</code></td><td><pre class="language-json"><code class="lang-json">{
  "currency": "USD",
  "symbol": "$",
  "cost": 80000
}
</code></pre></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-business.mio.id/api-reference/data-dictionary/glossary/requirement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
